## pd-binfile 0.1

=== Makefile ===
# Makefile for binfile

lib.name = binfile

class.sources = binfile.c

datafiles = binfile-help.pd binfile-meta.pd README.txt LICENSE.txt

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder

PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== debian/changelog ===
pd-binfile (0.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Update git repository layout to follow DEP-14

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Feb 2025 20:18:06 +0100

pd-binfile (0.1-1~exp1) experimental; urgency=medium

  * Split package from pd-mrpeach (following upstream decision).

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 21 Nov 2024 12:46:52 +0100

=== debian/control ===
Source: pd-binfile
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-buildinfo,
 dh-sequence-puredata,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: sound
Homepage: https://github.com/pd-externals/binfile
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-binfile.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-binfile

Package: pd-binfile
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Provides:
 ${puredata:Provides},
Description: binary file interface for Pd
 [binfile] allows one to read/write binary files from within Pure Data
 (Pd).

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=auto,\
     uversionmangle=s/([a-z]+[0-9.]*$)/~$1/,\
     filenamemangle=s/.+\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
  https://github.com/pd-externals/binfile/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## pd-binfile 0.1.1

=== debian/changelog ===
pd-binfile (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1

  * Drop obsolete 'Priority: optional' stanza.
  * Re-generate d/copyright_hints
  * Bump d/watch to version 5
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Mar 2026 09:26:46 +0100

pd-binfile (0.1-2) unstable; urgency=medium

  * Team Upload
  * Remove obsolete dh-buildinfo build dependency
  * Bump standards version to 4.7.2
  * Drop "Rules-Requires-Root: no", it is the new default

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 10:49:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,11 @@
 Source: pd-binfile
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-buildinfo,
  dh-sequence-puredata,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Section: sound
 Homepage: https://github.com/pd-externals/binfile
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-binfile.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: pd-externals
Project: binfile
Uversionmangle: s/[-_]/\./g
